Skip to main content
`Ctrl`+`K`

# scipy.special.bdtr

scipy.special.bdtr(k, n, p, out=None) = <ufunc 'bdtr'>

  Binomial distribution cumulative distribution function.

  Sum of the terms 0 through floor(k) of the Binomial probability density.

  \[\mathrm{bdtr}(k, n, p) = \sum_{j=0}^{\lfloor k \rfloor} {{n}\choose{j}} p^j (1-p)^{n-j}\]
  Parameters:
    k array_like

      Number of successes (double), rounded down to the nearest integer.

    n array_like

      Number of events (int).

    p array_like

      Probability of success in a single event (float).

    out ndarray, optional

      Optional output array for the function values

  Returns:
    y scalar or ndarray

      Probability of floor(k) or fewer successes in n independent events with success probabilities of p.

  Notes

  The terms are not summed directly; instead the regularized incomplete beta function is employed, according to the formula,

  \[\mathrm{bdtr}(k, n, p) = I_{1 - p}(n - \lfloor k \rfloor, \lfloor k \rfloor + 1).\]

  Wrapper for the Cephes [1] routine `bdtr`.

  References

  [1]

  Cephes Mathematical Functions Library, http://www.netlib.org/cephes/